# ApplicationFramework
TKPLCAF
MDF

# MDF_TypeDriverListMapOfASDriverTable Class Reference

`#include <MDF_TypeDriverListMapOfASDriverTable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MDF_TypeDriverListMapOfASDriverTable (const Standard_Integer NbBuckets=1)
Standard_EXPORT MDF_TypeDriverListMapOfASDriverTable & | Assign (const MDF_TypeDriverListMapOfASDriverTable &Other)
MDF_TypeDriverListMapOfASDriverTable & | operator= (const MDF_TypeDriverListMapOfASDriverTable &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MDF_TypeDriverListMapOfASDriverTable ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(Standard_Type)&K, const MDF_DriverListOfASDriverTable &I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(Standard_Type)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(Standard_Type)&K)
Standard_EXPORT const MDF_DriverListOfASDriverTable & | Find (const Handle(Standard_Type)&K) const
const MDF_DriverListOfASDriverTable & | operator() (const Handle(Standard_Type)&K) const
Standard_EXPORT MDF_DriverListOfASDriverTable & | ChangeFind (const Handle(Standard_Type)&K)
MDF_DriverListOfASDriverTable & | operator() (const Handle(Standard_Type)&K)

## Private Member Functions

Standard_EXPORT | MDF_TypeDriverListMapOfASDriverTable (const MDF_TypeDriverListMapOfASDriverTable &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MDF_TypeDriverListMapOfASDriverTable::MDF_TypeDriverListMapOfASDriverTable | ( | const Standard_Integer | NbBuckets = `1` | ) |

MDF_TypeDriverListMapOfASDriverTable::~MDF_TypeDriverListMapOfASDriverTable | ( |  | ) | `[inline]`

Standard_EXPORT MDF_TypeDriverListMapOfASDriverTable::MDF_TypeDriverListMapOfASDriverTable | ( | const MDF_TypeDriverListMapOfASDriverTable & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT MDF_TypeDriverListMapOfASDriverTable& MDF_TypeDriverListMapOfASDriverTable::Assign | ( | const MDF_TypeDriverListMapOfASDriverTable & | Other | ) |

Standard_EXPORT Standard_Boolean MDF_TypeDriverListMapOfASDriverTable::Bind | ( | const Handle(Standard_Type)& | K,
|  | const MDF_DriverListOfASDriverTable & | I
| ) |

Standard_EXPORT MDF_DriverListOfASDriverTable& MDF_TypeDriverListMapOfASDriverTable::ChangeFind | ( | const Handle(Standard_Type)& | K | ) |

Standard_EXPORT void MDF_TypeDriverListMapOfASDriverTable::Clear | ( |  | ) |

Standard_EXPORT const MDF_DriverListOfASDriverTable& MDF_TypeDriverListMapOfASDriverTable::Find | ( | const Handle(Standard_Type)& | K | ) | const

Standard_EXPORT Standard_Boolean MDF_TypeDriverListMapOfASDriverTable::IsBound | ( | const Handle(Standard_Type)& | K | ) | const

void MDF_TypeDriverListMapOfASDriverTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDF_TypeDriverListMapOfASDriverTable::operator new | ( | size_t | size | ) | `[inline]`

void* MDF_TypeDriverListMapOfASDriverTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

MDF_DriverListOfASDriverTable& MDF_TypeDriverListMapOfASDriverTable::operator() | ( | const Handle(Standard_Type)& | K | ) | `[inline]`

const MDF_DriverListOfASDriverTable& MDF_TypeDriverListMapOfASDriverTable::operator() | ( | const Handle(Standard_Type)& | K | ) | const`[inline]`

MDF_TypeDriverListMapOfASDriverTable& MDF_TypeDriverListMapOfASDriverTable::operator= | ( | const MDF_TypeDriverListMapOfASDriverTable & | Other | ) | `[inline]`

Standard_EXPORT void MDF_TypeDriverListMapOfASDriverTable::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean MDF_TypeDriverListMapOfASDriverTable::UnBind | ( | const Handle(Standard_Type)& | K | ) |

The documentation for this class was generated from the following file:

- MDF_TypeDriverListMapOfASDriverTable.hxx